./www/py-twill, Python package for the twill Web browsing language

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.8.0nb1, Package name: py27-twill-1.8.0nb1, Maintainer: pkgsrc-users

A scripting system for automating Web browsing. Useful for testing Web pages or
grabbing data from password-protected sites automatically.


Required to run:
[devel/py-setuptools] [lang/python27] [textproc/py-cssselect]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 6fa06f4f309c8b7191492a46993addd503fb5511
RMD160: 2583f3108111a7f26868ed6f84e6f3dad1f7d577
Filesize: 172.841 KB

Version history: (Expand)


CVS history: (Expand)


   2019-11-04 23:10:16 by Roland Illig | Files touched by this commit (243)
Log message:
www: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

Manually excluded phraseanet since pkglint got the indentation wrong.
   2019-09-02 15:20:22 by Adam Ciarcinski | Files touched by this commit (415)
Log message:
Changed PYTHON_VERSIONS_INCOMPATIBLE to PYTHON_VERSIONS_ACCEPTED; needed for \ 
future Python 3.8
   2019-04-26 15:14:25 by Maya Rashish | Files touched by this commit (473)
Log message:
Omit mentions of python 34 and 35, after those were removed.

- Includes some whitespace changes, to be handled in a separate commit.
   2018-07-03 07:03:44 by Adam Ciarcinski | Files touched by this commit (495)
Log message:
extend PYTHON_VERSIONS_ for Python 3.7
   2017-09-16 21:27:31 by Thomas Klausner | Files touched by this commit (372)
Log message:
Reset maintainer
   2017-02-05 11:20:50 by Leonardo Taccari | Files touched by this commit (1)
Log message:
Fix DEPENDS pattern.

If we depends on a foo package, mark its dependency via:

 DEPENDS+= foo-*:../../misc/foo

...and then a new foo-bar package will appear it can be problematic.
Use foo-[0-9]* pattern to avoid that.

Kindly pointed out by <wiz>
   2017-02-05 11:08:13 by Leonardo Taccari | Files touched by this commit (1) | Package updated
Log message:
twill.utils needs cssselect, add it to DEPENDS

Bump PKGREVISION

Discussed with <rodent>
   2017-01-03 14:23:05 by Jonathan Perkin | Files touched by this commit (52)
Log message:
Use "${MV} || ${TRUE}" and "${RM} -f" consistently in \ 
post-install targets.